#ifndef OVMENU_3D_PALETTES_H
#define OVMENU_3D_PALETTES_H

#include <QObject>
#include <QWidget>
#include "threedoverlaybuttons.h"

namespace plot {

class ovmenu_3d_palettes : public QWidget
{
    Q_OBJECT
public:
    ovmenu_3d_palettes(ThreeDOverlayButtons *overlay);
    
    QComboBox *CBFont;
    
private slots:
    void setVisiblePlot(bool visible, plot::ThreeDOverlayButtons::SpecialVisibilityMode visibilityMode);
    void resized(QSize newSize);
    void PaletteChoosed(QColor color, int pal);
    void fontChanged(int);
    
private:
    ThreeDOverlayButtons *overlay;
    
    QLabel *LFont;
    plot_colorChooser *colorChooser;
};

}

#endif // OVMENU_3D_PALETTES_H
