#ifndef RECTSLSPEEDADDITWINDOW_H
#define RECTSLSPEEDADDITWINDOW_H

#include <QObject>
#include <QWidget>
#include <QLabel>
#include <QLayout>
#include <QComboBox>
#include <QPaintEngine>
#include <QtEvents>
#include <QtMath>
#include "controls.h"
#include "edit.hpp"
#include "rectslider.h"
#include "tools.hpp"

class rectSLSpeedAdditWindow : public QWidget
{
    Q_OBJECT

public:
    rectSLSpeedAdditWindow(RectSlider *parent);
    void addConnects();

    Edit *edSpeed;

public: signals:
    void doubleClicked();

private:
    void initVariables();
    void initLayout();
    void paintEvent(QPaintEvent *event) override;
    bool eventFilter(QObject *Object, QEvent *Event) override;
    QLabel *labSpeed;

    RectSlider *parentSlider;

private slots:
    void rectDblClicked();
};

#endif // RECTSLSPEEDADDITWINDOW_H
