#ifndef RECTSLTIPDRIVEADDITWINDOW_H
#define RECTSLTIPDRIVEADDITWINDOW_H

#include <QObject>
#include <QWidget>
#include <QLabel>
#include <QLayout>
#include <QComboBox>
#include <QPaintEngine>
#include <QtEvents>
#include <QtMath>
#include "controls.h"
#include "edit.hpp"
#include "rectslider.h"
#include "tools.hpp"

class rectSLTipDriveAdditWindow : public QWidget
{
    Q_OBJECT

public:
    rectSLTipDriveAdditWindow(RectSlider *parent);
    void addConnects(DoubleChanger *amplitude);

    Edit *edAmplitude;

public: signals:
    void doubleClicked();

private:
    void initVariables();
    void initLayout();
    void paintEvent(QPaintEvent *event) override;
    bool eventFilter(QObject *Object, QEvent *Event) override;
    QLabel *labAmplitude;

    RectSlider *parentSlider;

private slots:
    void rectDblClicked();
};

#endif // RECTSLTIPDRIVEADDITWINDOW_H
