#include "optionsmodule.h"

#include "hardware/EG3000.h"
#include "options_window.h"
#include "modules/eg3000module.h"

void OptionsModule::connected(const QLatin1String name, I_MODULE *module)
{
    if (name == EG3000Module::name()) {
        EG3000_CONTROL *m = (EG3000_CONTROL *)module->basecast();
        
        m->rThread.readers.add(optWin);
        m->wThread.writers.add(optWin);
    }
}
