#ifndef OPTIONS_H
#define OPTIONS_H

//s#include <defs.h>
#include <QWidget>
#include <QPointer>
//#include "controls.h"
//#include "edit.hpp"
//#include "tools.hpp"
#include <QTableWidget>
#include <QHeaderView>
#include <QHBoxLayout>

class TOptionsWindow;

class options : public QWidget
{
    Q_OBJECT
public:
    explicit options(QWidget *parent = nullptr);

    void addNewTab(QWidget *w, QString name);
    void addNewTab(QWidget *w, QString name, int order);

    static options* GetIt() noexcept;

    TOptionsWindow *optWin;
    
    QHBoxLayout *additionLayOverTabs;
public: signals:
    void tabChanged(const QString tabName);
private:
    QTabWidget *TTabs;
    
    bool eventFilter(QObject *Object, QEvent *Event) override;
    
private slots:
    void tabChangedId(int id);
};

#endif // OPTIONS_H
