#ifndef HOVERBUTTONSDIRECTIONS_H
#define HOVERBUTTONSDIRECTIONS_H

#include <QWidget>
#include "hoverbutton.h"

class HoverButtonsDirectionsFull : public QWidget
{
    Q_OBJECT
    
public:
    HoverButtonsDirectionsFull(QColor color, QString centerText);
    void setSize(int sz);
    void setFont(QFont font);
    
    HoverButton *hbXLeft;
    HoverButton *hbXRight;
    HoverButton *hbYTop;
    HoverButton *hbYBottom;
    HoverButton *hbEllipse;
};

class HoverButtonsDirectionsHalf : public QWidget
{
    Q_OBJECT
    
public:
    HoverButtonsDirectionsHalf(QColor color, QString centerText);
    void setSize(int sz);
    void setFont(QFont font);
    
    HoverButton *hbYTop;
    HoverButton *hbYBottom;
    HoverButton *hbEllipse;
};

#endif // HOVERBUTTONSDIRECTIONS_H
