#pragma once

#include <QWidget>

class MotorSlider : public QWidget
{
    Q_OBJECT
signals:
    void newPos(int);
public:
    MotorSlider(bool horizontal, int numSpeed = 5);
    void setPos(int);

    int numSpeeds = 5;
    bool auto_disable;
    bool pressed;
    int active;
    bool horizontal;

    void paintEvent(QPaintEvent *) override;
    void mousePressEvent(QMouseEvent *) override;
    void mouseReleaseEvent(QMouseEvent *) override;
    void mouseMoveEvent(QMouseEvent *) override;
};
