#ifndef RECTSLTIPPUSHADDITWINDOW_H
#define RECTSLTIPPUSHADDITWINDOW_H

#include <QObject>
#include <QWidget>
#include <QLabel>
#include <QLayout>
#include <QComboBox>
#include <QPaintEngine>
#include <QtEvents>
#include <QtMath>
#include "controls.h"
#include "edit.hpp"
#include "rectslider.h"
#include "tools.hpp"

class rectSLTipPushAdditWindow : public QWidget
{
    Q_OBJECT

public:
    rectSLTipPushAdditWindow(RectSlider *parent);
    void addConnects(DoubleChanger *SP);

    Edit *edSetPoint;

public: signals:
    void doubleClicked();

private:
    void initVariables();
    void initLayout();
    void paintEvent(QPaintEvent *event) override;
    bool eventFilter(QObject *Object, QEvent *Event) override;
    QLabel *labSetPoint;

    RectSlider *parentSlider;

private slots:
    void rectDblClicked();
};

#endif // RECTSLTIPPUSHADDITWINDOW_H
