#ifndef CCDMATRIXMODULE_H
#define CCDMATRIXMODULE_H

#include "ccd/ccdmatrix.h"
#include "ccd/i_spectr.hpp"
#include "modules.hpp"
class CCDMatrixModule : public CCDMatrix, public I_MODULE
{
public:
    static const QLatin1String name() { return QLatin1String("ccdmatrix"); }
    void *basecast(const QLatin1String name) override { return name.latin1() != nullptr ? nullptr : static_cast<CCDMatrix *>(this); }
    void setRunning(bool on) override {
        if (on)
            m_waitMainInit = false;
        else {
            thread_close();
            
            if (m_spectrInterface)
                m_spectrInterface->shutdown();
        }
    }
};

#endif // CCDMATRIXMODULE_H
