#include "eg3000module.h"

#include "relaymodule.h"
#include "options/relayoptions.h"

void EG3000Module::connected(const QLatin1String name, I_MODULE *module)
{
#ifdef USE_RELAY
    if (name == RelayModule::name())
    {
        RelayModule *m = (RelayModule *)module;
        if (m->numberRelay == 0)
            return;
        
        QAction *a;
        SWusb1->addAction(a = new QAction(tr("Power up controller"), SWusb1));
        connect(a, SIGNAL(triggered()), m, SLOT(enableController()));
        SWusb1->addAction(a = new QAction(tr("Power down controller"), SWusb1));
        connect(a, SIGNAL(triggered()), m, SLOT(disableController()));
    }
#endif
}
