#ifndef OSCILLOSCOPEMODULE_H
#define OSCILLOSCOPEMODULE_H

#include "modules.hpp"
#include "oscilloscope.h"

class OscilloscopeModule : public I_GUI_MODULE<Oscilloscope>
{
public:
    GUI_MODULE_CTOR(OscilloscopeModule) { }
    static const QLatin1String name() { return QLatin1String("oscilloscope"); }
    void connected(const QLatin1String name, I_MODULE *module) override;
    void setRunning(bool on) override;
    
    /*QPushButton *detachButton() { return PBToNewWindow; }
    QPushButton *createPanelButton() {
        QSettings settings("Param/gui.conf", QSettings::IniFormat);
        if (!settings.value("display/oscilloscope", true).toBool())
            return 0;
        return new QPushButton(makeHugeIcon(":/MainToolbar/Osc.png"), MainWindow::tr("Oscilloscope"));
    }*/
};

#endif // OSCILLOSCOPEMODULE_H
