#ifndef RELAYMODULE_H
#define RELAYMODULE_H

#include "modules.hpp"
#include <QObject>
#include "options/relayoptions.h"

class RelayModule : public I_GUI_MODULE<RelayOptions>
{
    Q_OBJECT
public:
    GUI_MODULE_CTOR(RelayModule) { }
    static const QLatin1String name() { return QLatin1String("relay"); }
    void *basecast(const QLatin1String name) override { return name.latin1() != nullptr ? nullptr : static_cast<QObject *>(this); }
    void connected(const QLatin1String name, I_MODULE *module) override;
};


#endif // RELAYMODULE_H
