#include "samplecontrolmodule.h"
#include "optionsmodule.h"
#include "motorsmodule.h"
#include "hardware/EG3000.h"
#include "modules/eg3000module.h"

void SampleControlModule::connected(const QLatin1String name, I_MODULE *module)
{
    if (name == OptionsModule::name()) {
        options *m = (options *)module->basecast();
        
        m->addNewTab(mainWidget, tr("Pumps controller"));
    }
    if (name == EG3000Module::name()) {
        EG3000_CONTROL *m = (EG3000_CONTROL *)module->basecast();
        
        connect(m, SIGNAL(usbStatus(int)), this, SLOT(updateReles()));
    }
}
