#ifndef SAMPLECONTROLMODULE_H
#define SAMPLECONTROLMODULE_H

#include "modules.hpp"
#include <QObject>
#include "src/gui/single/samplecontrol.h"

class SampleControlModule : public I_GUI_MODULE<SampleControl>
{
    Q_OBJECT
public:
    GUI_MODULE_CTOR(SampleControlModule) { }
    static const QLatin1String name() { return QLatin1String("samplecontrol"); }
    void *basecast(const QLatin1String name) override { return name.latin1() != nullptr ? nullptr : static_cast<QObject *>(this); }
    void connected(const QLatin1String name, I_MODULE *module) override;
};

#endif // SAMPLECONTROLMODULE_H
